Summary:      Disk Information Utility
Name:         di
Version:      4.31
Release:      1
URL:          http://www.gentoo.com/di/
Vendor:       Brad Lanam
Group:        System Environment/Base
License:      MIT-style
Source0:      http://www.gentoo.com/di/%{name}-%{version}.tar.gz
Patch0:       %{name}-%{version}-aix.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	gettext
Requires:	gettext

%description
di is a disk information utility, displaying everything (and more)
that your df(1) command does. It features the ability to display
your disk usage in whatever format you desire/prefer/are used to.
It is designed to be portable across many platforms.


%prep
%setup -q
/usr/bin/chmod -R u+w *
%patch0


%build
make


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_prefix}
make install prefix=${RPM_BUILD_ROOT}%{_prefix}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc LICENSE MANIFEST README
%{_bindir}/*
%{_mandir}/man?/*
%{_datadir}/locale/*/*/*
/usr/bin/*


%changelog
* Sun Nov 21 2011 Michael Perzl <michael@perzl.org> - 4.31-1
- updated to version 4.31

* Sun Oct 09 2011 Michael Perzl <michael@perzl.org> - 4.30-1
- updated to version 4.30

* Sun Oct 02 2011 Michael Perzl <michael@perzl.org> - 4.29-1
- updated to version 4.29

* Mon Sep 12 2011 Michael Perzl <michael@perzl.org> - 4.28-1
- updated to version 4.28

* Sun Jan 02 2011 Michael Perzl <michael@perzl.org> - 4.27-1
- updated to version 4.27

* Mon Jul 26 2010 Michael Perzl <michael@perzl.org> - 4.26-1
- first version for AIX V5.1 and higher
